/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\             Move             /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
/* Header Files */
#include "move.h"

/* Network Definitions */
socket_t tcpsock;
socket_t tcpsock2; 

/*---------------------------------------------------------------------------*/

/* Network / send() / recv() */		
void cbnetwork(char *nmove,char *chess, char *player)
{	
    /* Player */
    bwplayer(player);
    
	/* White vs Engine */
	if(chess[1])
	{
        wengine(nmove,player);
	}

	/* Black vs Engine */
	else if(chess[2])
	{
        bengine(nmove,player);
	}

	/* White and Black */
	else if(chess[3])
	{
        normal(nmove,player);
	}
	
	/* Server */
	else if(chess[4])
	{
        server(nmove,player);
	}
	
	/* Client */
	else if(chess[5])
	{
        client(nmove,player);
	}
}

/*---------------------------------------------------------------------------*/

/* Player */
void bwplayer(char *player)
{
    if(player[1])
    {
        mvprintw(4,37,"White:");
        mvprintw(5,37,"------");
        mvprintw(6,37," ");
    }
    else if(player[8])
    {
        mvprintw(4,37,"Black:");
        mvprintw(5,37,"------");
        mvprintw(6,37," ");
    }
}

/*---------------------------------------------------------------------------*/

/* White vs Engine */
void wengine(char *nmove,char *player)
{
    if(player[1])
	{
		getnstr(nmove, MOV);	
	}
	else if(player[8])
	{
        sort(nmove, player);
    }
}

/*---------------------------------------------------------------------------*/

/* Black vs Engine */
void bengine(char *nmove,char *player)
{
	if(player[1])
	{
		sort(nmove, player);	
	}
	else if(player[8])
	{
		getnstr(nmove, MOV);
	}
}

/*---------------------------------------------------------------------------*/

/* White and Black */
void normal(char *nmove,char *player)
{
	if(player[1])
	{
		getnstr(nmove, MOV);	
	}
	else if(player[8])
	{
		getnstr(nmove, MOV);
	}
}

/*---------------------------------------------------------------------------*/

/* Server */
void server(char *nmove,char *player)
{
	if(player[1])
    {	
		getnstr(nmove, MOV);
		net_send(&tcpsock2 ,nmove, MOV);
	}
	else if(player[8])
	{
		net_recv(&tcpsock2 ,nmove, MOV);
    }
}
    
/*---------------------------------------------------------------------------*/

/* Client */
void client(char *nmove,char *player)
{    
	if(player[1])
	{
		net_recv(&tcpsock, nmove, MOV);	
	}
	else if(player[8])
	{	
		getnstr(nmove, MOV);	
		net_send(&tcpsock, nmove, MOV);
	}
}

/*---------------------------------------------------------------------------*/


