/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\        Black vs White        /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include "menu/cbmenu.h"
#include "menu/setting.h"
#include "menu/board.h"
#include "menu/network.h"
/* Secure */
#define SET
#define ENGINE
/* Define Port */
#define PORT 5799
/* Global Definitions */
char chess[10];
char ipad[20];
/* Defintions */
Menu cmenu;
Set cset;
Network cnetwork1;
Network cnetwork2;
Network cnetwork;
Cboard cgame;

//-----------------------------------------------------------------------------

/* Main Program */
int main(int agec, char **agev)
{ 
	/* Chess Game Menu */ 
	while(true) {
		
	WINDOW **item;					
	item=cmenu.drawMenu(0);	
	agec=cmenu.scrollMenu(item,6,0);
	cmenu.deleteMenu(item,6);		

	/* Set Menu Bool */
	chess[1] = false;
	chess[2] = false;
	chess[3] = false;
	chess[4] = false;
	chess[5] = false;
	chess[6] = false;

	/* Switch Menu */
	switch(agec+1) {
		
	#ifdef ENGINE	
	/* Play White */
	case 1:
	chess[1] = 'W';
	cgame.displayBoard(chess);
	break;
			
	/* Play Black */		
	case 2:
	chess[2] = 'B';
	cgame.displayBoard(chess);
	break;
	#endif
		
	/* Play Human */
	case 3:
	chess[3] = 'e';
	cgame.displayBoard(chess);
	break;
	
	#ifdef SET		
	/* Start Server */		
	case 4:
	chess[4] = 'S';
	cset.settings(ipad, chess);
	cnetwork1.socket();
	cnetwork1.bind(PORT);
	cnetwork1.listen();	
	while(true)
	{
		cnetwork1.accept(cnetwork2);
		cgame.displayBoard(chess);
		cnetwork2.close();
	}	
	cnetwork1.close();
	break;
			
	/* Start Client */		
	case 5:
	chess[5] = 'C';
	cset.settings(ipad, chess);	
	cnetwork.socket();
	cnetwork.connect(ipad,PORT);
	cgame.displayBoard(chess);
	cnetwork.close();
	break;

	/* Game Settings */
	case 6:
	chess[6] = 'G';
	cset.settings(ipad, chess);
	break;	
	#endif	

	}} touchwin(stdscr);

	return 0;
}

//-----------------------------------------------------------------------------

